#include <bits/stdc++>
using namespace std;

char c[700]][700];

int main()
{
    int m,n;
    cin>>n>>m;
    for(int i=1;i<=n;i++)
        for(int j=0;j<=m;j++)
        scanf("%c",c[i][j]);
    cout<<"-1";





}